* POMENU.CMD
* MICHAEL LYNN  8/23/83
SET TALK OFF
ERASE
DO WHILE T
SELECT PRIMARY
USE PO INDEX INDPO
SELECT SECONDARY
USE B:ITEM INDEX B:INDCAT
RESTORE FROM B:POMEM
?
?
?
?
? '*********************************************'
? "      PURCHASE ORDERS / LABEL PRINTING "             
? '---------------------------------------------'
?
? ' 1. WRITE PURCHASE ORDERS'
?
? ' 2. ENTER NEW SUPPLIER/VENDOR'
?
? ' 3. PRINT VENDOR LIST'
?
? ' 4. PRINT ENVELOPES AND LABELS'
?
? ' 5. STATUS OF PARTICULAR ITEM'
?
? ' 6. RETURN TO MAIN MENU'
?
?
? '*********************************************'
?
?
?
?
SET CONSOLE OFF
WAIT TO what
SET CONSOLE ON
ERASE

DO CASE
	CASE what='1'
      	DO B:PO.CMD

	CASE what='2'
	USE B:VENDOR
	APPEND BLANK
	@ 3, 1 SAY "ENTER COMPANY NAME" GET company PICTURE '!XXXXXXXXXXXXXXXX;
XXX'
	@ 4, 1 SAY "ENTER VENDOR NUMBER" GET vendor PICTURE '99'
	@ 5, 1 SAY "ENTER LAST NAME OF CONTACT PERSON" GET last PICTURE;
 '!AAAAAAAAAA'            
	@ 6, 1 SAY "ENTER FIRST NAME" GET first PICTURE '!AAAAAAAAAA'
	@ 7, 1 SAY "FIRST LINE OF ADDRESS" GET address1
 	@ 8, 1 SAY "SECOND LINE OF ADDRESS" GET address2
	@ 9, 1 SAY "CITY" GET city
	@ 9, 22 SAY "STATE" GET state PICTURE '!!'
	@ 10, 1 SAY "ZIPCODE" GET zipcode
	@ 10,16 SAY "COUNTRY" GET country PICTURE '!!!!!!!!!!!!'
	@ 11, 1 SAY "STANDARD DISCOUNT RATE" GET disc PICTURE '99'
	@ 12, 1 SAY "ACCOUNT NUMBER" GET account
	READ

	CASE what='3'
	@ 20, 1 SAY "DO YOU WANT A PRINTED COPY (Y/N)"
	SET CONSOLE OFF
	WAIT TO print
	SET CONSOLE ON

	IF !(print) ='Y'
	SET EJECT OFF
	SET PRINT ON
	USE B:VENDOR
	SET HEAD TO
	REPORT FORM B:VEND
	EJECT
	SET PRINT OFF
	ELSE
	USE B:VENDOR
	SET HEAD TO
	REPORT FORM B:VEND
	SET CONSOLE OFF
	WAIT
	SET CONSOLE ON
	ENDIF

	CASE what='4'
	DO B:LABEL

	CASE what='5'
 	DO B:ITEM

	CASE what='6'
	RETURN

ENDCASE
ENDDO
